/* eslint-env jest */

const { runPlugins } = require('./helpers');

const commentPlugin = require('../comment');
const info = { version: '#123', sha: '#abc' };

const pattern = /scss-parser-aura\s\d+\.\d+\.\d+/;

it('removes single line comments', () => {
  let actual = runPlugins(
    `
    // Foo
  `,
    [commentPlugin(info)]
  );
  expect(actual.replace(pattern, '')).toMatchSnapshot();
});

it('removes multiline line comments', () => {
  let actual = runPlugins(
    `
    /* Foo */
  `,
    [commentPlugin(info)]
  );
  expect(actual.replace(pattern, '')).toMatchSnapshot();
});

it('removes extra new lines', () => {
  let actual = runPlugins(
    `
    .foo {}






    .bar {}
  `,
    [commentPlugin(info)]
  );
  expect(actual.replace(pattern, '')).toMatchSnapshot();
});

it('adds version info', () => {
  let actual = runPlugins(
    `
    .a {}
  `,
    [commentPlugin(info)]
  );
  expect(actual.replace(pattern, '')).toMatchSnapshot();
});
